VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::vm::hardware::FloppyStub Class Reference

Remote stub implementation of the Floppy API service. More...

Inherits vmware::vcenter::vm::hardware::Floppy.

List of all members.

## Public Member Functions
| FloppyStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.FloppyTypes.Summary > | List (string vm)
| Returns commonly used information about the virtual floppy drives belonging to the virtual machine.
global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.FloppyTypes.Summary > | List (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual floppy drives belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.FloppyTypes.Summary > > | ListAsync (string vm)
| Returns commonly used information about the virtual floppy drives belonging to the virtual machine.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.vcenter.vm.hardware.FloppyTypes.Summary > > | ListAsync (string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns commonly used information about the virtual floppy drives belonging to the virtual machine.
vmware.vcenter.vm.hardware.FloppyTypes.Info | Get (string vm, string floppy)
| Returns information about a virtual floppy drive.
vmware.vcenter.vm.hardware.FloppyTypes.Info | Get (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual floppy drive.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.FloppyTypes.Info > | GetAsync (string vm, string floppy)
| Returns information about a virtual floppy drive.
global::System.Threading.Tasks.Task < vmware.vcenter.vm.hardware.FloppyTypes.Info > | GetAsync (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns information about a virtual floppy drive.
string | Create (string vm, vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec spec)
| Adds a virtual floppy drive to the virtual machine.
string | Create (string vm, vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual floppy drive to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec spec)
| Adds a virtual floppy drive to the virtual machine.
global::System.Threading.Tasks.Task < string > | CreateAsync (string vm, vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Adds a virtual floppy drive to the virtual machine.
void | Update (string vm, string floppy, vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec spec)
| Updates the configuration of a virtual floppy drive.
void | Update (string vm, string floppy, vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual floppy drive.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string floppy, vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec spec)
| Updates the configuration of a virtual floppy drive.
global::System.Threading.Tasks.Task | UpdateAsync (string vm, string floppy, vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration of a virtual floppy drive.
void | Delete (string vm, string floppy)
| Removes a virtual floppy drive from the virtual machine.
void | Delete (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual floppy drive from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string floppy)
| Removes a virtual floppy drive from the virtual machine.
global::System.Threading.Tasks.Task | DeleteAsync (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Removes a virtual floppy drive from the virtual machine.
void | Connect (string vm, string floppy)
| Connects a virtual floppy drive of a powered-on virtual machine to its backing.
void | Connect (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual floppy drive of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string floppy)
| Connects a virtual floppy drive of a powered-on virtual machine to its backing.
global::System.Threading.Tasks.Task | ConnectAsync (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Connects a virtual floppy drive of a powered-on virtual machine to its backing.
void | Disconnect (string vm, string floppy)
| Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.
void | Disconnect (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string floppy)
| Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.
global::System.Threading.Tasks.Task | DisconnectAsync (string vm, string floppy, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.

## Detailed Description

Remote stub implementation of the Floppy API service.

## Constructor & Destructor Documentation

vmware::vcenter::vm::hardware::FloppyStub::FloppyStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vcenter::vm::hardware::FloppyStub::Connect | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Connects a virtual floppy drive of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy drive to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Connect | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual floppy drive of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy drive to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::ConnectAsync | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Connects a virtual floppy drive of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy drive to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::ConnectAsync | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Connects a virtual floppy drive of a powered-on virtual machine to its backing.

Connecting the virtual device makes the backing accessible from the perspective of the guest operating system.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy drive to start in the connected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already connected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

string vmware::vcenter::vm::hardware::FloppyStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual floppy drive to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the floppy device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported floppy drives.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual floppy drive.

Returns:
  Virtual floppy drive identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

string vmware::vcenter::vm::hardware::FloppyStub::Create | ( | string | vm,
|  | vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual floppy drive to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the floppy device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported floppy drives.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual floppy drive.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual floppy drive identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::FloppyStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec | spec
| ) |  | `[inline]`

Adds a virtual floppy drive to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the floppy device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported floppy drives.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual floppy drive.

Returns:
  Virtual floppy drive identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<string> vmware::vcenter::vm::hardware::FloppyStub::CreateAsync | ( | string | vm,
|  | vmware.vcenter.vm.hardware.FloppyTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Adds a virtual floppy drive to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reported that the floppy device was created but was unable to confirm the creation because the identifier of the new device could not be determined.
  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.UnableToAllocateResource | if the virtual machine already has the maximum number of supported floppy drives.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  spec | Specification for the new virtual floppy drive.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Virtual floppy drive identifier. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Delete | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Removes a virtual floppy drive from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Delete | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual floppy drive from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::DeleteAsync | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Removes a virtual floppy drive from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::DeleteAsync | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Removes a virtual floppy drive from the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered off.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Disconnect | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the floppy drive is not connected to its backing resource.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy floppy to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Disconnect | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the floppy drive is not connected to its backing resource.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy floppy to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::DisconnectAsync | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the floppy drive is not connected to its backing resource.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy floppy to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::DisconnectAsync | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Disconnects a virtual floppy drive of a powered-on virtual machine from its backing.

The virtual device is still present and its backing configuration is unchanged, but from the perspective of the guest operating system, the floppy drive is not connected to its backing resource.

For a powered-off virtual machine, the Floppy.Update method may be used to configure the virtual floppy floppy to start in the disconnected state when the virtual machine is powered on.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.AlreadyInDesiredState | if the virtual floppy drive is already disconnected.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the virtual machine is not powered on.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

vmware.vcenter.vm.hardware.FloppyTypes.Info vmware::vcenter::vm::hardware::FloppyStub::Get | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

vmware.vcenter.vm.hardware.FloppyTypes.Info vmware::vcenter::vm::hardware::FloppyStub::Get | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Returns information about a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Returns:
  Information about the specified virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.FloppyTypes.Info> vmware::vcenter::vm::hardware::FloppyStub::GetAsync | ( | string | vm,
|  | string | floppy,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns information about a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Information about the specified virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<vmware.vcenter.vm.hardware.FloppyTypes.Info> vmware::vcenter::vm::hardware::FloppyStub::GetAsync | ( | string | vm,
|  | string | floppy
| ) |  | `[inline]`

Returns information about a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .

Returns:
  Information about the specified virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.FloppyTypes.Summary> vmware::vcenter::vm::hardware::FloppyStub::List | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual floppy drives belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual floppy drives.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.FloppyTypes.Summary> vmware::vcenter::vm::hardware::FloppyStub::List | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual floppy drives belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual floppy drives.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.FloppyTypes.Summary> > vmware::vcenter::vm::hardware::FloppyStub::ListAsync | ( | string | vm | ) | `[inline]`

Returns commonly used information about the virtual floppy drives belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  List of commonly used information about virtual floppy drives.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.vcenter.vm.hardware.FloppyTypes.Summary> > vmware::vcenter::vm::hardware::FloppyStub::ListAsync | ( | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns commonly used information about the virtual floppy drives belonging to the virtual machine.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine is not found.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  List of commonly used information about virtual floppy drives.

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Update | ( | string | vm,
|  | string | floppy,
|  | vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual floppy drive.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  spec | Specification for updating the virtual floppy drive.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

void vmware::vcenter::vm::hardware::FloppyStub::Update | ( | string | vm,
|  | string | floppy,
|  | vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual floppy drive.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  spec | Specification for updating the virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::UpdateAsync | ( | string | vm,
|  | string | floppy,
|  | vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the configuration of a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual floppy drive.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  spec | Specification for updating the virtual floppy drive.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vcenter::vm::hardware::Floppy.

global::System.Threading.Tasks.Task vmware::vcenter::vm::hardware::FloppyStub::UpdateAsync | ( | string | vm,
|  | string | floppy,
|  | vmware.vcenter.vm.hardware.FloppyTypes.UpdateSpec | spec
| ) |  | `[inline]`

Updates the configuration of a virtual floppy drive.

Exceptions:

  vmware.vapi.std.errors.Error | if the system reports an error while responding to the request.
  vmware.vapi.std.errors.NotFound | if the virtual machine or virtual floppy drive is not found.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if one or more of the fields specified in the spec parameter cannot be modified due to the current power state of the virtual machine or the connection state of the virtual floppy drive.
  vmware.vapi.std.errors.ResourceBusy | if the virtual machine is busy performing another operation.
  vmware.vapi.std.errors.ResourceInaccessible | if the virtual machine's configuration state cannot be accessed.
  vmware.vapi.std.errors.ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  vmware.vapi.std.errors.Unauthenticated | if the user can not be authenticated.
  vmware.vapi.std.errors.Unauthorized | if the user doesn't have the required privileges.

Parameters:

  vm | Virtual machine identifier. The parameter must be an identifier for the resource type: `VirtualMachine` .
  floppy | Virtual floppy drive identifier. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Floppy` .
  spec | Specification for updating the virtual floppy drive.

Implements vmware::vcenter::vm::hardware::Floppy.

The documentation for this class was generated from the following file:

- FloppyStub.cs